select compania, numero, a.trabajador, b.nombre, fecha_desde, fecha_hasta, 
decode(casilla, 
  37, 'Salarios', 
  73, 'Bonos Sodexho',
  38, 'Cesantias', 
  39, 'Gastos', 
  40, 'Pensiones', 
  41, 'Otros Ingresos', 
  42, 'Aportes Salud', 
  43, 'Aportes Pensiones y fsp',
  45, 'Aportes Voluntarios',
  46, 'Retención') as rubro, valor 
from fco_cir_det a, trabajadores b
where a.trabajador = b.trabajador
and anio = 2007 and id_rep = 0 and usuariow = 'CIR';